Bug 717621 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000070: TAINTED -------D
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:0516901b8801378ab23c55c0e80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 08:19 EDT by François petrisot
Modified: 2011-08-17 22:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François petrisot 2011-06-29 08:19:47 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_impd-lv_root rd_LVM_LV=vg_impd/lv_root rd_LVM_LV=vg_impd/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=be-latin1 rhgb quiet
comment:        connect my ipod in vmware worstation with virtual usb
component:      kernel
kernel:         2.6.38.8-32.fc15.x86_64
kernel_tainted: 128
kernel_tainted_long: Kernel has oopsed before.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
time:           Wed Jun 29 14:17:58 2011

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000070
:IP: [<ffffffff81211466>] elv_put_request+0x10/0x20
:PGD 0 
:Oops: 0000 [#1] SMP 
:last sysfs file: /sys/devices/pci0000:00/0000:00:1a.7/class
:CPU 0 
:Modules linked in: vfat fat tcp_lp nfs lockd fscache nfs_acl auth_rpcgss fuse vmnet ppdev parport_pc parport vmblock vsock vmci vmmon sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf arc4 snd_hda_codec_conexant iwlagn snd_hda_intel snd_hda_codec iwlcore snd_hwdep snd_seq snd_seq_device snd_pcm r852 sm_common mac80211 nand nand_ids thinkpad_acpi cfg80211 btusb nand_ecc mtd snd_timer bluetooth tg3 wmi snd iTCO_wdt soundcore i2c_i801 rfkill iTCO_vendor_support snd_page_alloc joydev microcode ipv6 usb_storage sdhci_pci firewire_ohci sdhci mmc_core firewire_core yenta_socket crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 3785, comm: umount Not tainted 2.6.38.8-32.fc15.x86_64 #1 LENOVO 271434G/271434G
:RIP: 0010:[<ffffffff81211466>]  [<ffffffff81211466>] elv_put_request+0x10/0x20
:RSP: 0018:ffff880057be3bb8  EFLAGS: 00010006
:RAX: 0000000000000000 RBX: ffff88012f4a2210 RCX: 0000000000001e24
:RDX: ffff880106a9c900 RSI: ffff88012b8797e8 RDI: ffff88012f4a2210
:RBP: ffff880057be3bb8 R08: ffff880057be3b18 R09: 0000000000000001
:R10: ffff8800bd213840 R11: ffff8800bd213840 R12: ffff88012b8797e8
:R13: 0000000002749000 R14: ffff88009065e300 R15: 0000000000000000
:FS:  00007f704b9a1820(0000) GS:ffff8800bd200000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000000070 CR3: 00000000578c7000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process umount (pid: 3785, threadinfo ffff880057be2000, task ffff88012f411730)
:Stack:
: ffff880057be3be8 ffffffff81215e53 ffff88012f4a2210 ffff88012f4a2210
: ffff88012b8797e8 0000000000000246 ffff880057be3c18 ffffffff81216236
: ffff88012b8797e8 0000000000000000 ffff88012b8797e8 0000000000000000
:Call Trace:
: [<ffffffff81215e53>] __blk_put_request+0x82/0xb5
: [<ffffffff81216236>] blk_put_request+0x31/0x49
: [<ffffffff812fc955>] scsi_execute+0x135/0x146
: [<ffffffff812fca02>] scsi_execute_req+0x9c/0xce
: [<ffffffff812f8a9c>] ioctl_internal_command.constprop.1+0x6b/0x163
: [<ffffffff8122a6b4>] ? kobject_release+0x121/0x12a
: [<ffffffff812f8bed>] scsi_set_medium_removal+0x59/0x94
: [<ffffffff8130638b>] sd_release+0x9c/0xb3
: [<ffffffff81149aa2>] __blkdev_put+0xc6/0x179
: [<ffffffff81149b43>] __blkdev_put+0x167/0x179
: [<ffffffff81149c59>] blkdev_put+0x104/0x10c
: [<ffffffff81122f69>] kill_block_super+0x65/0x6a
: [<ffffffff811231a5>] deactivate_locked_super+0x26/0x4b
: [<ffffffff81123d0e>] deactivate_super+0x37/0x3b
: [<ffffffff8113863c>] mntput_no_expire+0xcc/0xd1
: [<ffffffff81139073>] sys_umount+0x2ac/0x2da
: [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
:Code: 8b 40 68 48 85 c0 74 04 ff d0 eb 0d 48 c7 86 98 00 00 00 00 00 00 00 31 c0 5d c3 55 48 89 e5 0f 1f 44 00 00 48 8b 47 18 48 8b 00 
:RIP  [<ffffffff81211466>] elv_put_request+0x10/0x20
: RSP <ffff880057be3bb8>
:CR2: 0000000000000070
Comment 1 François petrisot 2011-06-29 08:20:49 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
connect my ipod in vmware worstation with virtual usb
Comment 2 Dave Jones 2011-07-29 11:54:53 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 3 Fedora Update System 2011-07-29 12:01:42 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 4 Fedora Update System 2011-07-29 16:40:39 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 5 Fedora Update System 2011-07-30 23:33:49 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-08-01 21:58:28 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-08-16 08:48:41 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 8 Fedora Update System 2011-08-17 22:31:32 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.